/* $Id: none.c,v 1.1 2000/05/26 23:04:24 becka Exp $
******************************************************************************

   Vidio dummy driver.

   Copyright (C) 2000 Andreas Beck	[becka@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#define	MAINTAINER	"Andreas Beck, [becka@ggi-project.org]"
#define	DRIVER_VERSION	"0.01"

#include <kgi/module.h>
#include <kgi/kgi_commands.h>

/*
**	KGI module interface
*/

int kgim_vidio_init(struct kgi_card *card, struct kgi_display *dpy)
{
	/* !!! We should really do something here !!! */
	TRACE(printk("dummy vidio driver loaded\n"));
	return EOK;
}

void kgim_vidio_done(struct kgi_display *dpy)
{
	TRACE(printk("dummy vidio driver removed\n"));
}

int kgim_vidio_check_mode(struct kgi_display *dpy, struct kgi_mode *mode,
			  enum kgi_tm_cmd *cmd)
{
	return EOK;
}

void kgim_vidio_set_mode(struct kgi_display *dpy, struct kgi_mode *mode)
{
	/* !!! We should set up the accel here !!! */
	return;
}


int kgim_vidio_command(struct kgi_graphic *gr, kgi_uint cmd, kgi_uint arg)
{ 
	switch (cmd) 
	{
		default:
			break;
	}
			
	return -E(VIDIO, UNKNOWN);
}
